#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int max(int num1, int num2) {
  return num1 > num2 ? num1 : num2;
}

void strRev(char *s) {
  for(int i = 0; i < strlen(s)/2; i++){
    char temp = s[i];
    s[i] = s[strlen(s) - i - 1];
    s[strlen(s) - i - 1] = temp;
  }
}

int main() {
  char x[10];
  char y[10];
  char *rez;
  rez = (char*)malloc(20*sizeof(char));
  scanf("%s", x);
  scanf("%s", y);

  int xLen = strlen(x);
  int yLen = strlen(y);

  if(xLen == yLen) {
    for(int i = 0; i < xLen; i++){
      if(x[i] == y[i]){
        rez[i] = x[i];
        rez[i+1] = y[i];
        i++;
      }
      else
        rez[i] = max(x[i], y[i]);
    }
  }
  else if(xLen > yLen) {
    strRev(x);
    strRev(y);
    for(int i = 0; i < xLen; i++){
      if(x[i] == y[i]){
        rez[i] = x[i];
        rez[i+1] = y[i];
        i++;
      }
      else
        rez[i] = max(x[i], y[i]);
   }
    for(int i = yLen; i < xLen; i++)
      rez[i] = x[i];
    strRev(rez);
  }
  else if(yLen > xLen) {
    strRev(x);
    strRev(y);
    for(int i = 0; i < yLen; i++){
      if(x[i] == y[i]){
        rez[i] = x[i];
        rez[i+1] = y[i];
        i++;
      }
      else
        rez[i] = max(x[i], y[i]);
   }
    for(int i = xLen; i < yLen; i++)
      rez[i] = y[i];
    strRev(rez);
  }
  printf("%s", rez);
}